package estoque;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
public class Estoque extends HttpServlet {
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {

            Class.forName("org.apache.derby.jdbc.ClientDriver");
            Connection con = DriverManager.getConnection(
                    "jdbc:derby://localhost:1527/estoque",
                    "nbuser","nbuser");
            if (con == null) throw new SQLException();
            out.println("<h1>Conexão Feita</h1>");    
            Statement trans = con.createStatement();

            String query = "SELECT * FROM app.produtos";
            //System.out.println(query);
            ResultSet res = trans.executeQuery(query);

            while (res.next()) {
                Integer id = res.getInt("id");
                String nome = res.getString("nome");
                String desc = res.getString("descricao");
                Double preco = res.getDouble("preco");
            
                out.println("<p>ID: " + id + "</p>");
                out.println("<p>Nome: " + nome + "</p>");
                out.println("<p>Desc: " + desc + "</p>");
                out.println("<p>Preço: " + preco + "</p>");
                out.println("<hr />");
                }
            trans.close();
            con.close();
        } catch (ClassNotFoundException ex) {
            System.err.println(ex);  
        } catch (SQLException ex) {
            System.err.println(ex);
        } finally {            
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
